DB_ENV->close(3)

NAME
DB_ENV->close

SYNOPSIS

#include <db.h>

int DB_ENV->close(DB_ENV *dbenv, u_int32_t flags);

DESCRIPTION
Closes env, a TokuDB environment, freeing any allocated resources and closing any underlying subystems. Close all databases, cursors, and abort or commit all transactions that refer the environment before closing the environment. Do not use the environment after closing it (even if the close operation returns some sort of failure). Its underlying memory is likely to have been free()'d.

PARAMETERS

dbenv
    The environment. The DB_ENV->close() environment does something like free(dbenv) as part of its operation.

flags
    The flags parameter must be set to 0.

RETURN VALUE

Returns zero on success, and nonzero on failure.

CONFORMING TO
The TokuDB embedded database provides a subset of the functionality of the Berkeley DB. Programs that work with TokuDB probably work with with most versions of Berkeley DB with only recompilation or relinking. The database files are incompatible, however, so to convert from one library to the other you would need to dump the database with one library's tool and load it with the other's.

AUTHOR
Tokutek, Inc.

COPYRIGHT
Copyright (c) 2007 Tokutek. All Rights Reserved.